# /usr/share/doc/python-cysignals-doc/examples/example/Makefile
#
# Ad hoc Makefile for building and playing with the sample sources
# distributed within the debian package python-cysignals-doc.
#
# Recommended usage:
#  create a dedicated folder somewhere in your HOME directory;
#  link all the files in /usr/share/doc/python-cysignals-doc/examples/example
#  in the dedicated folder; launch this Makefile in the dedicated folder:
#  $ make ;
#  for a basic cleanup, consider the clean target:
#  $ make clean ;
#  for an entire cleanup, the maintainer-clean target:
#  $ make maintainer-clean ;
#  for other targets, just read the Makefile.
#
# written for Debian by Jerome Benoit <calculus@rezozer.net>
# on behalf of the Debian Python Modules Team
# copyright: 2016-2019 Jerome Benoit <calculus@rezozer.net>
# distributed under the terms and conditions of GPL version 3 or later
#

DOCTESTS = $(sort $(wildcard *.pyx))

default: all

export CFLAGS = -Wno-unused-variable -Wno-unused-function

all: build

build: setup.py cysignals_example.pyx
	$(PYTHON) $< build

check: build

clean:
	$(RM) cysignals_example.cpp
	$(RM) -rf build

maintainer-clean: clean

PYTHON ?= python3
